package com.ruoyi.asset.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备借用记录对象 tb_asset_borrow_record
 * 
 * @author 原动力
 * @date 2023-03-27
 */
@TableName("tb_asset_borrow_record")
public class TbAssetBorrowRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录编号 */
    @Excel(name = "记录编号")
    @TableId("id")
    private Long id;

    /** 设备条形码 */
    @Excel(name = "设备条形码")
    @TableField("asset_bar_code")
    private String assetBarCode;

    /** 借用人 */
    @Excel(name = "借用人")
    @TableField("user_id")
    private Long userId;

    /** 借用人电话 */
    @Excel(name = "借用人电话")
    @TableField("tel")
    private String tel;

    /** 是否归还 */
    @Excel(name = "是否归还")
    @TableField("isReturn")
    private Long isreturn;

    /** 借用时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("borrow_date")
    @Excel(name = "借用时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date borrowDate;

    /** 归还时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("return_date")
    @Excel(name = "归还时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date returnDate;

    /** 借用地点 */
    @Excel(name = "借用地点")
    @TableField("asset_bar_code")
    private String borrowPlaceName;

    @Excel(name = "备注")
    @TableField("remark")
    private String remark;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAssetBarCode(String assetBarCode) 
    {
        this.assetBarCode = assetBarCode;
    }

    public String getAssetBarCode() 
    {
        return assetBarCode;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setTel(String tel) 
    {
        this.tel = tel;
    }

    public String getTel() 
    {
        return tel;
    }
    public void setIsreturn(Long isreturn) 
    {
        this.isreturn = isreturn;
    }

    public Long getIsreturn() 
    {
        return isreturn;
    }
    public void setBorrowDate(Date borrowDate) 
    {
        this.borrowDate = borrowDate;
    }

    public Date getBorrowDate() 
    {
        return borrowDate;
    }
    public void setReturnDate(Date returnDate) 
    {
        this.returnDate = returnDate;
    }

    public Date getReturnDate() 
    {
        return returnDate;
    }
    public void setBorrowPlaceName(String borrowPlaceName) 
    {
        this.borrowPlaceName = borrowPlaceName;
    }

    public String getBorrowPlaceName() 
    {
        return borrowPlaceName;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("assetBarCode", getAssetBarCode())
            .append("userId", getUserId())
            .append("tel", getTel())
            .append("isreturn", getIsreturn())
            .append("borrowDate", getBorrowDate())
            .append("returnDate", getReturnDate())
            .append("borrowPlaceName", getBorrowPlaceName())
            .append("remark", getRemark())
            .toString();
    }
}
